devel/p5-Task-Weaken - The NetBSD Packages Collection

Perl 5 module to ensure that a platform has weaken support

One recurring problem in Perl modules that use Scalar::Util's
"weaken" function is that it is not present in the pure-perl variant.
So if your module uses "weaken", you can just add the following to
your Module::Install-based Makefile.PL (or equivalent):
  requires 'Task::Weaken';

Build dependencies

pkgtools/cwrappers

Runtime dependencies

lang/perl5 lang/perl5

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfp5-Task-Weaken-1.06nb3.tgz
NetBSD 8.0earmv7hfp5-Task-Weaken-1.06nb3.tgz
NetBSD 8.0earmv7hfp5-Task-Weaken-1.06nb3.tgz
NetBSD 8.0i386p5-Task-Weaken-1.06nb3.tgz
NetBSD 8.0i386p5-Task-Weaken-1.06nb3.tgz
NetBSD 8.0i386p5-Task-Weaken-1.06nb3.tgz
NetBSD 8.0powerpcp5-Task-Weaken-1.06nb3.tgz
NetBSD 8.0powerpcp5-Task-Weaken-1.06nb3.tgz
NetBSD 8.0powerpcp5-Task-Weaken-1.06nb3.tgz
NetBSD 8.0x86_64p5-Task-Weaken-1.06nb3.tgz
NetBSD 8.0x86_64p5-Task-Weaken-1.06nb3.tgz
NetBSD 8.0x86_64p5-Task-Weaken-1.06nb3.tgz
NetBSD 9.0aarch64p5-Task-Weaken-1.06nb3.tgz
NetBSD 9.0aarch64p5-Task-Weaken-1.06nb3.tgz
NetBSD 9.0aarch64p5-Task-Weaken-1.06nb3.tgz
NetBSD 9.0alphap5-Task-Weaken-1.06nb3.tgz
NetBSD 9.0alphap5-Task-Weaken-1.06nb3.tgz
NetBSD 9.0alphap5-Task-Weaken-1.06nb3.tgz
NetBSD 9.0earmp5-Task-Weaken-1.06nb3.tgz
NetBSD 9.0earmp5-Task-Weaken-1.06nb3.tgz
NetBSD 9.0earmp5-Task-Weaken-1.06nb3.tgz
NetBSD 9.0earmv6hfp5-Task-Weaken-1.06nb3.tgz
NetBSD 9.0earmv6hfp5-Task-Weaken-1.06nb3.tgz
NetBSD 9.0earmv6hfp5-Task-Weaken-1.06nb3.tgz
NetBSD 9.0earmv6hfp5-Task-Weaken-1.06nb3.tgz
NetBSD 9.0earmv7hfp5-Task-Weaken-1.06nb3.tgz
NetBSD 9.0earmv7hfp5-Task-Weaken-1.06nb3.tgz
NetBSD 9.0earmv7hfp5-Task-Weaken-1.06nb3.tgz
NetBSD 9.0earmv7hfp5-Task-Weaken-1.06nb3.tgz
NetBSD 9.0earmv7hfp5-Task-Weaken-1.06nb3.tgz
NetBSD 9.0i386p5-Task-Weaken-1.06nb3.tgz
NetBSD 9.0i386p5-Task-Weaken-1.06nb3.tgz
NetBSD 9.0i386p5-Task-Weaken-1.06nb3.tgz
NetBSD 9.0m68kp5-Task-Weaken-1.06nb3.tgz
NetBSD 9.0m68kp5-Task-Weaken-1.06nb3.tgz
NetBSD 9.0mips64ebp5-Task-Weaken-1.06nb3.tgz
NetBSD 9.0mips64ebp5-Task-Weaken-1.06nb3.tgz
NetBSD 9.0mips64ebp5-Task-Weaken-1.06nb3.tgz
NetBSD 9.0mipselp5-Task-Weaken-1.06nb3.tgz
NetBSD 9.0mipselp5-Task-Weaken-1.06nb3.tgz
NetBSD 9.0powerpcp5-Task-Weaken-1.06nb3.tgz
NetBSD 9.0powerpcp5-Task-Weaken-1.06nb3.tgz
NetBSD 9.0powerpcp5-Task-Weaken-1.06nb3.tgz
NetBSD 9.0sh3elp5-Task-Weaken-1.06nb3.tgz
NetBSD 9.0sh3elp5-Task-Weaken-1.06nb3.tgz
NetBSD 9.0sh3elp5-Task-Weaken-1.06nb3.tgz
NetBSD 9.0sparc64p5-Task-Weaken-1.06nb3.tgz
NetBSD 9.0sparc64p5-Task-Weaken-1.06nb2.tgz
NetBSD 9.0sparc64p5-Task-Weaken-1.06nb3.tgz
NetBSD 9.0sparc64p5-Task-Weaken-1.06nb3.tgz
NetBSD 9.0sparcp5-Task-Weaken-1.06nb3.tgz
NetBSD 9.0sparcp5-Task-Weaken-1.06nb3.tgz
NetBSD 9.0sparcp5-Task-Weaken-1.06nb3.tgz
NetBSD 9.0vaxp5-Task-Weaken-1.06nb3.tgz
NetBSD 9.0vaxp5-Task-Weaken-1.06nb3.tgz
NetBSD 9.0x86_64p5-Task-Weaken-1.06nb3.tgz
NetBSD 9.0x86_64p5-Task-Weaken-1.06nb3.tgz
NetBSD 9.0x86_64p5-Task-Weaken-1.06nb3.tgz
NetBSD 9.0x86_64p5-Task-Weaken-1.06nb3.tgz
NetBSD 9.0x86_64p5-Task-Weaken-1.06nb3.tgz
NetBSD 9.0x86_64p5-Task-Weaken-1.06nb3.tgz
NetBSD 9.0x86_64p5-Task-Weaken-1.06nb3.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.